[DRE-commits] [SCM] ruby-opengl.git branch, master, updated. debian/0.60.1-2-7-g7e5cf14

Cédric Boutillier cedric.boutillier at gmail.com
Mon Apr 30 15:28:00 UTC 2012


The following commit has been merged in the master branch:
commit e0b3d02fd5a1a74e691810be9cb7369d311df8e0
Author: Cédric Boutillier <cedric.boutillier at gmail.com>
Date:   Mon Apr 30 14:48:04 2012 +0200

    add debian/repack.sh: script to remove non-free content from upstream

diff --git a/debian/repack.sh b/debian/repack.sh
new file mode 100755
index 0000000..4f85d76
--- /dev/null
+++ b/debian/repack.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# repack.sh - removes non-free bits from the content of the upstream
+# source tarball to provide a DFSG-compliant tarball for the Debian package.
+#
+# In this case the files removed are:
+# - examples/misc/fbo_test.rb
+
+
+set -e
+
+DEB_UPSTREAM_VERSION=$(dpkg-parsechangelog | sed -rne 's/^Version: ([^+]+).*/\1/p')
+
+uscan --noconf --verbose --force-download --rename --download-current-version  --destdir=.
+
+rm -rf opengl-${DEB_UPSTREAM_VERSION}
+
+# unpack upstream tarball
+tar -xf ruby-opengl_${DEB_UPSTREAM_VERSION}.orig.tar.gz
+rm ruby-opengl_${DEB_UPSTREAM_VERSION}.orig.tar.gz
+
+# remove example not allowing distribution if modified
+rm ruby-opengl-$DEB_UPSTREAM_VERSION/examples/misc/fbo_test.rb
+
+# repack the tarball
+mv ruby-opengl-$DEB_UPSTREAM_VERSION ruby-opengl-$DEB_UPSTREAM_VERSION.orig
+GZIP=--best tar --create --gzip --owner root --group root --mode a+rX \
+	--file ../ruby-opengl_$DEB_UPSTREAM_VERSION+dfsg1.orig.tar.gz ruby-opengl-$DEB_UPSTREAM_VERSION.orig
+rm -r ruby-opengl-$DEB_UPSTREAM_VERSION.orig
+

-- 
ruby-opengl.git



More information about the Pkg-ruby-extras-commits mailing list